import { category, menuItem } from "@/types";

export function useMenuApi() {
    function getCategories() {
        const resp = generateCategories();
        return resp;
    }

    function getMenuItems() {
        const resp = generateMenuItems();
        return resp;
    }

    return { getCategories, getMenuItems };
}

function generateCategories() {
    const list: category[] = [];
    for (let i = 0; i < 5; i++) {
        list.push({
            id: i,
            title: `категория ${i + 1}`,
        });
    }
    return list;
}

function generateMenuItems() {
    const list: menuItem[] = [];
    for (let i = 0; i < 20; i++) {
        list.push({
            id: i,
            title: `товар ${i + 1}`,
            description: `описание ${i + 1}`,
            categoryId: i % 5,
            price: Math.floor(Math.random() * 200 + 100),
        });
    }
    return list;
}
